Package org.codehaus.groovy.util

## Class ShortArrayIterator

- java.lang.Object
- - org.codehaus.groovy.util.ShortArrayIterator

- All Implemented Interfaces:
    `Iterator<Short>`

      public class ShortArrayIterator
      extends Object
      implements Iterator<Short>

  Allow a short array to be used where an Iterator is expected.
  Since:
    3.0.8

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ShortArrayIterator​(short[] array)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `Short` | `next()` |
    `void` | `remove()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### ShortArrayIterator

          public ShortArrayIterator​(short[] array)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<Short>`

    - #### next

          public Short next()

      Specified by:
        `next` in interface `Iterator<Short>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<Short>`